Bug 197011 - [Pointer Events WPT] Update WPT tests and provide macOS testdriver
Summary: [Pointer Events WPT] Update WPT tests and provide macOS testdriver
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-17 07:23 PDT by Antoine Quint
Modified: 2019-11-08 07:31 PST (History)
6 users (show)

See Also:


Attachments
Patch (573.62 KB, patch)
2019-04-17 07:27 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-highsierra (3.10 MB, application/zip)
2019-04-17 08:33 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-highsierra-wk2 (2.73 MB, application/zip)
2019-04-17 08:47 PDT, Build Bot
no flags Details
Patch (582.80 KB, patch)
2019-04-17 08:56 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-highsierra-wk2 (3.23 MB, application/zip)
2019-04-17 09:59 PDT, Build Bot
no flags Details
Patch (583.36 KB, patch)
2019-04-17 10:17 PDT, Antoine Quint
dino: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2019-04-17 07:23:40 PDT
[Pointer Events WPT] Update WPT tests and provide macOS testdriver
Comment 1 Radar WebKit Bug Importer 2019-04-17 07:24:22 PDT
<rdar://problem/49976553>
Comment 2 Antoine Quint 2019-04-17 07:27:32 PDT
Created attachment 367625 [details]
Patch
Comment 3 Antoine Quint 2019-04-17 07:27:37 PDT
<rdar://problem/49976553>
Comment 4 Antoine Quint 2019-04-17 07:32:10 PDT
The only code we added in this patch is the file testdriver-vendor.js.
Comment 5 Build Bot 2019-04-17 08:33:06 PDT
Comment on attachment 367625 [details]
Patch

Attachment 367625 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11899633

New failing tests:
imported/w3c/web-platform-tests/pointerevents/pointerevent_mouse_capture_change_hover.html
imported/w3c/web-platform-tests/pointerevents/pointerevent_setpointercapture_relatedtarget.html
imported/w3c/web-platform-tests/pointerevents/pointerevent_mouse_pointercapture_in_frame.html
imported/w3c/web-platform-tests/pointerevents/pointerevent_boundary_events_at_implicit_release_hoverable_pointers.html
Comment 6 Build Bot 2019-04-17 08:33:07 PDT
Created attachment 367627 [details]
Archive of layout-test-results from ews102 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 7 Build Bot 2019-04-17 08:47:01 PDT
Comment on attachment 367625 [details]
Patch

Attachment 367625 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11899657

New failing tests:
imported/w3c/web-platform-tests/payment-request/payment-request-canmakepayment-method.https.html
imported/w3c/web-platform-tests/payment-request/payment-request-canmakepayment-method-protection.https.html
Comment 8 Build Bot 2019-04-17 08:47:02 PDT
Created attachment 367630 [details]
Archive of layout-test-results from ews107 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 9 Antoine Quint 2019-04-17 08:56:51 PDT
Created attachment 367632 [details]
Patch
Comment 10 Build Bot 2019-04-17 09:59:29 PDT
Comment on attachment 367632 [details]
Patch

Attachment 367632 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11900567

New failing tests:
imported/w3c/web-platform-tests/payment-request/payment-request-canmakepayment-method.https.html
imported/w3c/web-platform-tests/payment-request/payment-request-canmakepayment-method-protection.https.html
Comment 11 Build Bot 2019-04-17 09:59:31 PDT
Created attachment 367637 [details]
Archive of layout-test-results from ews107 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 12 Antoine Quint 2019-04-17 10:17:56 PDT
Created attachment 367643 [details]
Patch
Comment 13 Dean Jackson 2019-04-17 11:30:01 PDT
Comment on attachment 367643 [details]
Patch

rs=me, but there are lots of failures
Comment 14 Antoine Quint 2019-04-17 11:42:34 PDT
(In reply to Dean Jackson from comment #13)
> Comment on attachment 367643 [details]
> Patch
> 
> rs=me, but there are lots of failures

Sure, this patch is not about fixing failures, it's about making tests run on top of our infrastructure.
Comment 15 Antoine Quint 2019-04-17 12:13:32 PDT
Committed r244393: <https://trac.webkit.org/changeset/244393>
Comment 16 Truitt Savell 2019-04-17 13:47:26 PDT
Looks like imported/w3c/web-platform-tests/pointerevents/pointerevent_mouse_pointercapture_in_frame.html

added in https://trac.webkit.org/changeset/244393/webkit

is failing constantly.

History:
https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Fpointerevents%2Fpointerevent_mouse_pointercapture_in_frame.html
Comment 17 Antoine Quint 2019-04-17 23:10:25 PDT
(In reply to Truitt Savell from comment #16)
> Looks like
> imported/w3c/web-platform-tests/pointerevents/
> pointerevent_mouse_pointercapture_in_frame.html
> 
> added in https://trac.webkit.org/changeset/244393/webkit
> 
> is failing constantly.

Thanks Truitt, will take a look shortly.
Comment 18 Antoine Quint 2019-04-18 08:51:50 PDT
I marked imported/w3c/web-platform-tests/pointerevents/pointerevent_mouse_pointercapture_in_frame.html as flaky in https://trac.webkit.org/changeset/244424.